Subject: Re: emacs-27 7081c1d: Fix typos in the Emacs user manual

From: Paul Eggert <[email-masked]>
Date: Sun, 10 May 2020 09:07:14 -0700

On 5/10/20 7:39 AM, Eli Zaretskii wrote:

> The @t{} trick was to avoid converting ' into ’, which is definitely
> not how this word should be displayed.

bahai.org disagrees; see below.

>> The preferred Unicode spelling these days is “Baháʼí” (with U+02BC MODIFIED
>> LETTER APOSTROPHE).
> 
> Is that official?  Can you tell where you saw that this is the
> preferred spelling?
I got it from Wikipedia. :-)

I looked into it more. There’s nothing official as far as Bahá’í and Unicode
goes, as far as I could find.

The Bahá’í main website bahai.org spells it “Bahá’í” (with U+2019 RIGHT SINGLE
QUOTATION MARK). Its style guide complains, “Bahá’í, Bahá’u’lláh, and other
names are written with accent marks, but many publications and Web sites do not
have the facility for using such marks.”[1] without saying whether the accent
marks used on its own website are correct or have been bowdlerized in order to
cater to browsers lacking U+02BC MODIFIER LETTER APOSTROPHE. Certainly bahai.org
is doing bowdlerization; for example, their calendar page[2] uses
‘<u>Sh</u>araf’ to display “S͟haraf”, even though Unicode says it should instead
use U+035F COMBINING DOUBLE MACRON BELOW between the “S” and the “h”; here the
web page is understandably bowdlerizing because too many browsers (Emacs
included) don't render the Unicode “S͟haraf” well.

Getting back to the hamzah (the apostrophe-like character in question), here’s
how other sources represent it in Latin transliterations:

  ' U+0027 - ArabTeX (presumably because it displays as U+2019 in TeX)
  ʼ U+02BC - Library of Congress, various geographic names standards
             (UN, US, UK), Hans Wehr
  ʾ U+02BE - Deutsches Institut für Normung, Encyclopaedia of Islam
  ˈ U+02C8 - ISO

Presumably English Wikipedia uses U+02BC because of UN/US/UK/LoC. That being
said, bahai.org is as definitive as it gets on the web for Bahá’ís; if that
website uses U+2019 to represent hamzah, we’re in good company and can mostly
stick with what we’ve got.

Proposed patch attached.

[1] https://news.bahai.org/media-information/style-guide/
[2]
https://www.bahai.org/library/other-literature/publications-individual-authors/bahaullah-new-era/bahaullah-new-era.xhtml
From 06ae3f5a8ba08e0651a525bb11c81d6612942b62 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Sun, 10 May 2020 08:47:47 -0700
Subject: [PATCH] =?UTF-8?q?Go=20back=20to=20=E2=80=9CBah=C3=A1=E2=80=99?=
 =?UTF-8?q?=C3=AD=E2=80=9D?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

* doc/emacs/calendar.texi (Holidays): Revert previous change, as
bahai.org spells it “Bahá’í” (with U+2019 RIGHT SINGLE QUOTATION
MARK) and that’s good enough for us.
---
 doc/emacs/calendar.texi | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/emacs/calendar.texi b/doc/emacs/calendar.texi
index 8dc1a0b2df..fe51ad35d7 100644
--- a/doc/emacs/calendar.texi
+++ b/doc/emacs/calendar.texi
@@ -532,7 +532,7 @@ Holidays
 holidays}, which prompts for the month and year.
 
   The holidays known to Emacs include United States holidays and the
-major Bah@'{a}@t{'}@'{i}, Chinese, Christian, Islamic, and Jewish
+major Bahá'í, Chinese, Christian, Islamic, and Jewish
 holidays; also the solstices and equinoxes.
 
 @findex list-holidays
-- 
2.17.1